Skip to content

Count reviews left from one user to another

GET
/reviews/count/between
curl --request GET \
--url 'https://api.ethos.network/api/v2/reviews/count/between?authorUserKey=example&subjectUserKey=example'

Counts the reviews the author has written about the subject. Both are userkeys; use the numeric X id form rather than a handle. To list reviews with their content, use the activities endpoints.

authorUserKey
required
string
subjectUserKey
required
string

Successful response

Media typeapplication/json
integer
>= -9007199254740991 <= 9007199254740991

Example generated

1

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}